Index: LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/pchfe.F	(revision 5086)
@@ -145,7 +145,7 @@
       IF ( N<2 )  GO TO 5001
       IF ( INCFD<1 )  GO TO 5002
-      DO 1  I = 2, N
+      DO I = 2, N
          IF ( X(I)<=X(I-1) )  GO TO 5003
-    1 CONTINUE
+      END DO
 C
 C  FUNCTION DEFINITION IS OK, GO ON.
@@ -168,7 +168,7 @@
 C     LOCATE ALL POINTS IN INTERVAL.
 C
-         DO 20  J = JFIRST, NE
+         DO J = JFIRST, NE
             IF (XE(J) >= X(IR))  GO TO 30
-   20    CONTINUE
+      END DO
          J = NE + 1
          GO TO 40
@@ -228,7 +228,7 @@
 C
 C              FIRST, LOCATE FIRST POINT TO LEFT OF X(IR-1).
-               DO 44  I = JFIRST, J-1
+               DO I = JFIRST, J-1
                   IF (XE(I) < X(IR-1))  GO TO 45
-   44          CONTINUE
+      END DO
 C              NOTE-- CANNOT DROP THROUGH HERE UNLESS THERE IS AN ERROR
 C                     IN CHFEV.
@@ -240,7 +240,7 @@
 C
 C              NOW FIND OUT HOW FAR TO BACK UP IN THE X-ARRAY.
-               DO 46  I = 1, IR-1
+               DO I = 1, IR-1
                   IF (XE(J) < X(I)) GO TO 47
-   46          CONTINUE
+      END DO
 C              NB-- CAN NEVER DROP THROUGH HERE, SINCE XE(J).LT.X(IR-1).
 C
Index: LMDZ6/branches/Amaury_dev/libf/misc/pchsp.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/pchsp.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/pchsp.F	(revision 5086)
@@ -164,7 +164,7 @@
       IF ( N<2 )  GO TO 5001
       IF ( INCFD<1 )  GO TO 5002
-      DO 1  J = 2, N
+      DO J = 2, N
          IF ( X(J)<=X(J-1) )  GO TO 5003
-    1 CONTINUE
+      END DO
 C
       IBEG = IC(1)
@@ -181,8 +181,8 @@
 C  COMPUTE FIRST DIFFERENCES OF X SEQUENCE AND STORE IN WK(1,.). ALSO,
 C  COMPUTE FIRST DIVIDED DIFFERENCE OF DATA AND STORE IN WK(2,.).
-      DO 5  J=2,N
+      DO J=2,N
          WK(1,J) = X(J) - X(J-1)
          WK(2,J) = (F(1,J) - F(1,J-1))/WK(1,J)
-    5 CONTINUE
+      END DO
 C
 C  SET TO DEFAULT BOUNDARY CONDITIONS IF N IS TOO SMALL.
@@ -197,10 +197,10 @@
       ELSE IF (IBEG > 2)  THEN
 C        PICK UP FIRST IBEG POINTS, IN REVERSE ORDER.
-         DO 10  J = 1, IBEG
+         DO J = 1, IBEG
             INDEX = IBEG-J+1
 C           INDEX RUNS FROM IBEG DOWN TO 1.
             XTEMP(J) = X(INDEX)
             IF (J < IBEG)  STEMP(J) = WK(2,INDEX)
-   10    CONTINUE
+      END DO
 C                 --------------------------------
          D(1,1) = PCHDF (IBEG, XTEMP, STEMP, IERR)
@@ -214,10 +214,10 @@
       ELSE IF (IEND > 2)  THEN
 C        PICK UP LAST IEND POINTS.
-         DO 15  J = 1, IEND
+         DO J = 1, IEND
             INDEX = N-IEND+J
 C           INDEX RUNS FROM N+1-IEND UP TO N.
             XTEMP(J) = X(INDEX)
             IF (J < IEND)  STEMP(J) = WK(2,INDEX+1)
-   15    CONTINUE
+      END DO
 C                 --------------------------------
          D(1,N) = PCHDF (IEND, XTEMP, STEMP, IERR)
@@ -267,5 +267,5 @@
       NM1 = N-1
       IF (NM1 > 1)  THEN
-         DO 20 J=2,NM1
+         DO J=2,NM1
             IF (WK(2,J-1) == ZERO)  GO TO 5008
             G = -WK(1,J+1)/WK(2,J-1)
@@ -273,5 +273,5 @@
      *                  + THREE*(WK(1,J)*WK(2,J+1) + WK(1,J+1)*WK(2,J))
             WK(2,J) = G*WK(1,J-1) + TWO*(WK(1,J) + WK(1,J+1))
-   20    CONTINUE
+      END DO
       ENDIF
 C
@@ -324,8 +324,8 @@
 C
    30 CONTINUE
-      DO 40 J=NM1,1,-1
+      DO J=NM1,1,-1
          IF (WK(2,J) == ZERO)  GO TO 5008
          D(1,J) = (D(1,J) - WK(1,J)*D(1,J+1))/WK(2,J)
-   40 CONTINUE
+      END DO
 C --------------------(  END  CODING FROM CUBSPL )--------------------
 C
Index: LMDZ6/branches/Amaury_dev/libf/misc/ran1.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/ran1.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/ran1.F	(revision 5086)
@@ -21,9 +21,9 @@
         IX1=MOD(IA1*IX1+IC1,M1)
         IX3=MOD(IX1,M3)
-        DO 11 J=1,97
+        DO J=1,97
           IX1=MOD(IA1*IX1+IC1,M1)
           IX2=MOD(IA2*IX2+IC2,M2)
           R(J)=(REAL(IX1)+REAL(IX2)*RM2)*RM1
-11      CONTINUE
+      END DO
         IDUM=1
       ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/regr1_step_av_m.F90	(revision 5086)
@@ -73,5 +73,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it) = (vt(it) + (xt(it + 1) - left_edge) * vs(is)) &
@@ -79,5 +79,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr11_step_av
@@ -133,5 +133,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :) = (vt(it, :) + (xt(it + 1) - left_edge) * vs(is, :)) &
@@ -139,5 +139,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr12_step_av
@@ -194,5 +194,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :, :) = (vt(it, :, :) &
@@ -200,5 +200,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr13_step_av
@@ -256,5 +256,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :, :, :) = (vt(it, :, :, :) + (xt(it + 1) - left_edge) &
@@ -262,5 +262,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr14_step_av
Index: LMDZ6/branches/Amaury_dev/libf/misc/xermsg.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/xermsg.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/xermsg.F	(revision 5086)
@@ -328,7 +328,7 @@
       IF (LKNTRL > 0) THEN
          WRITE (TEMP, '(''ERROR NUMBER = '', I8)') NERR
-         DO 10 I=16,22
+         DO I=16,22
             IF (TEMP(I:I) /= ' ') GO TO 20
-   10    CONTINUE
+      END DO
 C
    20    CALL XERPRN (' *  ', -1, TEMP(1:15) // TEMP(I:23), 72)
Index: LMDZ6/branches/Amaury_dev/libf/misc/xerprn.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/xerprn.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/xerprn.F	(revision 5086)
@@ -92,7 +92,7 @@
 C
       N = I1MACH(4)
-      DO 10 I=1,NUNIT
+      DO I=1,NUNIT
          IF (IU(I) == 0) IU(I) = N
-   10 CONTINUE
+      END DO
 C
 C       LPREF IS THE LENGTH OF THE PREFIX.  THE PREFIX IS PLACED AT THE
@@ -117,8 +117,8 @@
       LENMSG = LEN(MESSG)
       N = LENMSG
-      DO 20 I=1,N
+      DO I=1,N
          IF (MESSG(LENMSG:LENMSG) /= ' ') GO TO 30
          LENMSG = LENMSG - 1
-   20 CONTINUE
+      END DO
    30 CONTINUE
 C
@@ -127,7 +127,7 @@
       IF (LENMSG == 0) THEN
          CBUFF(LPREF+1:LPREF+1) = ' '
-         DO 40 I=1,NUNIT
+         DO I=1,NUNIT
             WRITE(IU(I), '(A)') CBUFF(1:LPREF+1)
-   40    CONTINUE
+      END DO
          RETURN
       ENDIF
@@ -179,5 +179,5 @@
          LPIECE = MIN(LWRAP, LENMSG+1-NEXTC)
          IF (LPIECE < LENMSG+1-NEXTC) THEN
-            DO 52 I=LPIECE+1,2,-1
+            DO I=LPIECE+1,2,-1
                IF (MESSG(NEXTC+I-1:NEXTC+I-1) == ' ') THEN
                   LPIECE = I-1
@@ -185,5 +185,5 @@
                   GOTO 54
                ENDIF
-   52       CONTINUE
+      END DO
          ENDIF
    54    CBUFF(LPREF+1:LPREF+LPIECE) = MESSG(NEXTC:NEXTC+LPIECE-1)
@@ -202,5 +202,5 @@
          IDELTA = 0
          LPIECE = LWRAP
-         DO 56 I=LPIECE+1,2,-1
+         DO I=LPIECE+1,2,-1
             IF (MESSG(NEXTC+I-1:NEXTC+I-1) == ' ') THEN
                LPIECE = I-1
@@ -208,5 +208,5 @@
                GOTO 58
             ENDIF
-   56    CONTINUE
+      END DO
    58    CBUFF(LPREF+1:LPREF+LPIECE) = MESSG(NEXTC:NEXTC+LPIECE-1)
          NEXTC = NEXTC + LPIECE + IDELTA
@@ -223,7 +223,7 @@
 C       PRINT
 C
-      DO 60 I=1,NUNIT
+      DO I=1,NUNIT
          WRITE(IU(I), '(A)') CBUFF(1:LPREF+LPIECE)
-   60 CONTINUE
+      END DO
 C
       IF (NEXTC <= LENMSG) GO TO 50
Index: LMDZ6/branches/Amaury_dev/libf/misc/xersve.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/xersve.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/xersve.F	(revision 5086)
@@ -81,5 +81,5 @@
 C
          CALL XGETUA (LUN, NUNIT)
-         DO 20 KUNIT = 1,NUNIT
+         DO KUNIT = 1,NUNIT
             IUNIT = LUN(KUNIT)
             IF (IUNIT==0) IUNIT = I1MACH(4)
@@ -91,8 +91,8 @@
 C           Print body of table.
 C
-            DO 10 I = 1,NMSG
+            DO I = 1,NMSG
                WRITE (IUNIT,9010) LIBTAB(I), SUBTAB(I), MESTAB(I),
      *            NERTAB(I),LEVTAB(I),KOUNT(I)
-   10       CONTINUE
+      END DO
 C
 C           Print number of other errors.
@@ -100,5 +100,5 @@
             IF (KOUNTX/=0) WRITE (IUNIT,9020) KOUNTX
             WRITE (IUNIT,9030)
-   20    CONTINUE
+      END DO
 C
 C        Clear the error tables.
@@ -117,5 +117,5 @@
          SUB = SUBROU
          MES = MESSG
-         DO 30 I = 1,NMSG
+         DO I = 1,NMSG
             IF (LIB==LIBTAB(I) .AND. SUB==SUBTAB(I) .AND.
      *         MES==MESTAB(I) .AND. NERR==NERTAB(I) .AND.
@@ -125,5 +125,5 @@
                   RETURN
             ENDIF
-   30    CONTINUE
+      END DO
 C
          IF (NMSG<LENTAB) THEN
Index: LMDZ6/branches/Amaury_dev/libf/misc/xgetua.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/misc/xgetua.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/misc/xgetua.F	(revision 5086)
@@ -45,9 +45,9 @@
 C***FIRST EXECUTABLE STATEMENT  XGETUA
       N = J4SAVE(5,0,.FALSE.)
-      DO 30 I=1,N
+      DO I=1,N
          INDEX = I+4
          IF (I==1) INDEX = 3
          IUNITA(I) = J4SAVE(INDEX,0,.FALSE.)
-   30 CONTINUE
+      END DO
       RETURN
       END
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_conserv_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_conserv_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_conserv_m.F90	(revision 5086)
@@ -97,5 +97,5 @@
              vt(it) = vt(it) + (xs(is + 1) - xs(is)) * vs(is)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it) = (vt(it) + mean_lin(xs(is), xt(it + 1)) * (xt(it + 1) &
@@ -105,5 +105,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
@@ -170,5 +170,5 @@
              vt(it, :) = vt(it, :) + (xs(is + 1) - xs(is)) * vs(is, :)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it, :) = (vt(it, :) + mean_lin(xs(is), xt(it + 1)) * (xt(it + 1) &
@@ -178,5 +178,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
@@ -246,5 +246,5 @@
              vt(it, :, :) = vt(it, :, :) + (xs(is + 1) - xs(is)) * vs(is, :, :)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it, :, :) = (vt(it, :, :) + mean_lin(xs(is), xt(it + 1)) &
@@ -254,5 +254,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
@@ -324,5 +324,5 @@
                   * vs(is, :, :, :)
              is = is + 1
-          end do
+          END DO
           ! 1 <= is <= ns
           vt(it, :, :, :) = (vt(it, :, :, :) + mean_lin(xs(is), xt(it + 1)) &
@@ -332,5 +332,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   contains
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_lint_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_lint_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_lint_m.F90	(revision 5086)
@@ -53,5 +53,5 @@
        vt(it) = ((xs(is_b+1) - xt(it)) * vs(is_b) &
             + (xt(it) - xs(is_b)) * vs(is_b+1)) / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr11_lint
@@ -92,5 +92,5 @@
        vt(it, :) = ((xs(is_b+1) - xt(it)) * vs(is_b, :) &
             + (xt(it) - xs(is_b)) * vs(is_b+1, :)) / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr12_lint
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr1_step_av_m.F90	(revision 5086)
@@ -73,5 +73,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it) = (vt(it) + (xt(it + 1) - left_edge) * vs(is)) &
@@ -79,5 +79,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr11_step_av
@@ -133,5 +133,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :) = (vt(it, :) + (xt(it + 1) - left_edge) * vs(is, :)) &
@@ -139,5 +139,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr12_step_av
@@ -194,5 +194,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :, :) = (vt(it, :, :) &
@@ -200,5 +200,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr13_step_av
@@ -256,5 +256,5 @@
           is = is + 1
           left_edge = xs(is)
-       end do
+       END DO
        ! 1 <= is <= ns
        vt(it, :, :, :) = (vt(it, :, :, :) + (xt(it + 1) - left_edge) &
@@ -262,5 +262,5 @@
        if (xs(is + 1) == xt(it + 1)) is = is + 1
        ! 1 <= is <= ns .or. it == nt
-    end do
+    END DO
 
   end function regr14_step_av
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr3_lint_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr3_lint_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr3_lint_m.F90	(revision 5086)
@@ -53,5 +53,5 @@
        vt(:, :, it) = ((xs(is_b+1) - xt(it)) * vs(:, :, is_b) &
             + (xt(it) - xs(is_b)) * vs(:, :, is_b+1)) / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr33_lint
@@ -94,5 +94,5 @@
             + (xt(it) - xs(is_b)) * vs(:, :, is_b+1, :)) &
             / (xs(is_b+1) - xs(is_b))
-    end do
+    END DO
 
   end function regr34_lint
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr_lat_time_climoz_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr_lat_time_climoz_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr_lat_time_climoz_m.F90	(revision 5086)
@@ -249,5 +249,5 @@
              do while (o3_in(j, 1, l, m) == missing_value)
                 j = j + 1
-             end do
+             END DO
              if (j > 1) o3_in(:j-1, :, l, m) = &
                   spread(o3_in(j, :, l, m), dim=1, ncopies=j-1)
@@ -257,5 +257,5 @@
              do while (o3_in(j, 1, l, m) == missing_value)
                 j = j - 1
-             end do
+             END DO
              if (j < n_lat) o3_in(j+1:, :, l, m) = &
                   spread(o3_in(j, :, l, m), dim=1, ncopies=n_lat-j)
@@ -270,16 +270,16 @@
                 do while  (o3_in(j, k, l, m) /= missing_value .and. k < n_plev)
                    k = k + 1
-                end do
+                END DO
                 ! Replace missing values with the valid value at the
                 ! lowest level above missing values:
                 if (o3_in(j, k, l, m) == missing_value) &
                      o3_in(j, k:n_plev, l, m) = o3_in(j, k-1, l, m)
-             end do
-          end do
+             END DO
+          END DO
        else
           print *, "regr_lat_time_climoz: field ", m, &
                ", no missing value attribute"
        end if
-    end do
+    END DO
 
     call nf95_close(ncid_in)
@@ -322,5 +322,5 @@
        call nf95_put_var(ncid_out, varid_out(m), o3_out(nbp_lat:1:-1, :, :, m))
        ! (The order of "rlatu" is inverted in the output file)
-    end do
+    END DO
 
     call nf95_close(ncid_out)
Index: LMDZ6/branches/Amaury_dev/libf/obsolete/regr_pr_av_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/obsolete/regr_pr_av_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/obsolete/regr_pr_av_m.F90	(revision 5086)
@@ -99,5 +99,5 @@
           call handle_err("regr_pr_av nf90_get_var " // trim(name(i)), ncerr, &
                ncid)
-       end do
+       END DO
        
        ! Latitudes are in ascending order in the input file while
@@ -118,5 +118,5 @@
             slopes(v2(i, :, :), press_in_edg))
        ! (invert order of indices because "paprs" is in descending order)
-    end do
+    END DO
 
   end subroutine regr_pr_av
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/Ocean_skin/bulk_flux_m.F90	(revision 5086)
@@ -140,5 +140,5 @@
                   rain = null_array, qcol = rnl + hf + hlb - dels)
           end if
-       end do
+       END DO
     else
        tkt = 0.
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/StratAer/sulfate_aer_mod.F90	(revision 5086)
@@ -731,7 +731,7 @@
          JX=0
        ELSE
-         DO 10 I=1,N
+         DO I=1,N
            IF (X<XC(I)) GO TO 20
- 10      CONTINUE
+         END DO
          IER=1
  20      JX=I-1
@@ -756,7 +756,7 @@
          JX=0
        ELSE
-         DO 10 I=1,N
+         DO I=1,N
            IF (XT>X(I)) GO TO 20
- 10      CONTINUE
+         END DO
  20      JX=I
        ENDIF
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/concvl.F90	(revision 5086)
@@ -340,5 +340,5 @@
 ! em_wght(k)=wght_th(i,k)
 ! print*,'em_wght=',em_wght(k),wght_th(i,k)
-! end do
+! END DO
 ! END DO
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/icarus.F	(revision 5086)
@@ -364,5 +364,5 @@
       enddo 
 
-      do 12 ilev=1,nlev
+      do ilev=1,nlev
         do j=1,npoints 
          if (pfull(j,ilev) < 40000. .and.
@@ -375,12 +375,12 @@
            end if
         enddo
-12    continue
-
-      do 13 ilev=1,nlev
+      END DO
+
+      do ilev=1,nlev
         do j=1,npoints 
            if (at(j,ilev) > atmax(j) .and.
      &              ilev  >= itrop(j)) atmax(j)=at(j,ilev)
         enddo
-13    continue
+      END DO
 
       end if
@@ -391,10 +391,10 @@
               meantb(j) = 0.
 	      meantbclr(j) = 0. 
-          end do
+          END DO
       else
           do j=1,npoints
               meantb(j) = output_missing_value
        	      meantbclr(j) = output_missing_value
-          end do
+          END DO
       end if
       
@@ -466,5 +466,5 @@
  
       !initialize tau and albedocld to zero
-      do 15 ibox=1,ncol
+      do ibox=1,ncol
         do j=1,npoints 
             tau(j,ibox)=0.
@@ -474,5 +474,5 @@
           box_cloudy(j,ibox)=.false.
         enddo
-15    continue
+      END DO
 
       !compute total cloud optical depth for each column     
@@ -541,5 +541,5 @@
         if (ncolprint /= 0)
      &         write(6,*)  'ilev   pw (kg/m2)   tauwv(j)      dem_wv'
-        do 125 ilev=1,nlev
+        do ilev=1,nlev
           do j=1,npoints 
                !press and dpress are dyne/cm2 = Pascals *10
@@ -568,5 +568,5 @@
                enddo
              endif
-125     continue
+      END DO
 
         !initialize variables
@@ -740,5 +740,5 @@
             bb(j)=1/( exp(1307.27/skt(j)) - 1. )
             !bb(j)=5.67e-8*skt(j)**4
-          end do
+          END DO
 
         do ibox=1,ncol
@@ -751,6 +751,6 @@
      &         * trans_layers_above(j,ibox) 
             
-          end do
-        end do
+          END DO
+        END DO
 
         !calculate mean infrared brightness temperature
@@ -758,9 +758,9 @@
           do j=1,npoints 
             meantb(j) = meantb(j)+1307.27/(log(1.+(1./fluxtop(j,ibox))))
-	  end do
-        end do
+	  END DO
+        END DO
 	  do j=1, npoints
 	    meantb(j) = meantb(j) / real(ncol)
-	  end do        
+	  END DO
 
         if (ncolprint/=0) then
@@ -784,5 +784,5 @@
           write (6,'(8f7.2)') (meantb(j),ibox=1,ncolprint)
       
-          end do
+          END DO
       endif
     
@@ -925,5 +925,5 @@
 
       !compute cloud top pressure
-      do 30 ibox=1,ncol
+      do ibox=1,ncol
         !segregate according to optical thickness
         if (top_height == 1 .or. top_height == 3) then
@@ -933,5 +933,5 @@
             nmatch(j)=0
           enddo
-          do 29 k1=1,nlev-1
+          do k1=1,nlev-1
 	    if (top_height_direction == 2) then
 	      ilev = nlev - k1 
@@ -951,5 +951,5 @@
 	     end if                         
             enddo
-29        continue
+      END DO
 
           do j=1,npoints 
@@ -992,6 +992,6 @@
               levmatch(j,ibox)=ilev
               end if
-            end do
-          end do
+            END DO
+          END DO
         end if                            
           
@@ -1003,5 +1003,5 @@
         enddo
 
-30    continue
+      END DO
               
 !
@@ -1032,5 +1032,5 @@
 
       !reset frequencies
-      do 38 ilev=1,7
+      do ilev=1,7
       do 38 ilev2=1,7
         do j=1,npoints ! 
@@ -1042,4 +1042,5 @@
         enddo
 38    continue
+      END DO
 
       !reset variables need for averaging cloud properties
@@ -1060,5 +1061,5 @@
       boxarea = 1./real(ncol)
      
-      do 39 ibox=1,ncol
+      do ibox=1,ncol
         do j=1,npoints 
 
@@ -1166,5 +1167,5 @@
                        
         enddo ! j
-39    continue
+      END DO
       
       !compute mean cloud properties
@@ -1227,5 +1228,5 @@
      &           (cchar_realtops(acc(ilev,ibox)+1),ilev=1,nlev) 
      &           ,(cchar(acc(ilev,ibox)+1),ilev=1,nlev) 
-             end do
+             END DO
              close(9)
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/math_lib.F90	(revision 5086)
@@ -273,5 +273,5 @@
        exit
     end if
-  end do
+  END DO
   
   if (lerror) then
@@ -316,5 +316,5 @@
     end if
     ilo = ilo + 1
-  end do
+  END DO
 
   ilo = max ( 2, ilo )
@@ -326,5 +326,5 @@
     end if
     ihi = ihi - 1
-  end do
+  END DO
   
   ihi = min ( ihi, ntab - 1 )
@@ -374,5 +374,5 @@
     syl = x2
  
-  end do
+  END DO
  
   result = sum1 &
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_cosp_modis_simulator.F90	(revision 5086)
@@ -176,7 +176,7 @@
               opticalThickness(i, j, k) = 0.   
             end if 
-          end do 
-        end do
-      end do
+          END DO
+        END DO
+      END DO
 
       !
@@ -197,7 +197,7 @@
           do i = 1, nSunlit
             if(subCols%frac_out(sunlit(i), j, k) == I_CVC) opticalThickness(i, j, k) = gridBox%dtau_c(sunlit(i), k)
-          end do 
-        end do
-      end do
+          END DO
+        END DO
+      END DO
 
       !
@@ -220,5 +220,5 @@
                                 retrievedPhase(i, :), retrievedCloudTopPressure(i, :),      & 
                                 retrievedTau(i, :), retrievedSize(i, :))
-     end do
+     END DO
      
       ! DJS2015: Call L3 modis simulator used by cospv2.0
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/mod_modis_sim.F90	(revision 5086)
@@ -331,5 +331,5 @@
         retrievedTau(i) = R_UNDEF 
       end if
-    end do
+    END DO
     where((retrievedSize(:) < 0.).and.(retrievedSize(:) /= R_UNDEF)) retrievedSize(:) = 1.0e-06*re_fill
 
@@ -802,5 +802,5 @@
         tauMask(:, :, i) = .false.
       end where
-    end do 
+    END DO
 
     do i = 1, numPressureHistogramBins 
@@ -811,5 +811,5 @@
         pressureMask(:, :, i) = .false.
       end where
-    end do 
+    END DO
     
     do i = 1, numPressureHistogramBins
@@ -817,6 +817,6 @@
         Optical_Thickness_vs_Cloud_Top_Pressure(:, j, i) = & 
           real(count(tauMask(:, :, j) .and. pressureMask(:, :, i), dim = 2)) / real(nSubcols)
-      end do 
-    end do 
+      END DO
+    END DO
     
   end subroutine modis_L3_simulator
@@ -851,5 +851,5 @@
       end if 
       if(totalTau >= tauLimit) exit
-    end do 
+    END DO
     cloud_top_pressure = totalProduct/totalTau
   end function cloud_top_pressure
@@ -877,5 +877,5 @@
       end if 
       if(totalTau >= tauLimit) exit
-    end do 
+    END DO
     weight_by_extinction = totalProduct/totalTau
   end function weight_by_extinction
@@ -1114,5 +1114,5 @@
     do i = 1, size(cloudIndicies)
       call two_stream(tau(cloudIndicies(i)), g(cloudIndicies(i)), w0(cloudIndicies(i)), Refl(i), Trans(i))
-    end do 
+    END DO
                     
     call adding_doubling(Refl(:), Trans(:), Refl_tot, Trans_tot)  
@@ -1292,5 +1292,5 @@
           Refl_cumulative(i) = Refl_cumulative(i-1) + Refl(i)*(Tran_cumulative(i-1)**2)/(1 - Refl_cumulative(i-1) * Refl(i))
           Tran_cumulative(i) = (Tran_cumulative(i-1)*Tran(i)) / (1 - Refl_cumulative(i-1) * Refl(i))
-      end do
+      END DO
       
       Refl_tot = Refl_cumulative(size(Refl))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/optics_lib.F90	(revision 5086)
@@ -519,7 +519,4 @@
 
 !   // region from 0.045 microns to 167.0 microns - no temperature depend
-    do i=2,nwl
-      if(alam < wl(i)) continue
-    enddo
     x1=log(wl(i-1))
     x2=log(wl(i))
@@ -539,12 +536,12 @@
     if(tk > temref(1)) tk=temref(1)
     if(tk < temref(4)) tk=temref(4)
-    do 11 i=2,4
+    do i=2,4
       if(tk>=temref(i)) go to 12
-    11 continue
+    END DO
     12 lt1=i
     lt2=i-1
-    do 13 i=2,nwlt
+    do i=2,nwlt
       if(alam<=wlt(i)) go to 14
-    13 continue
+    END DO
     14 x1=log(wlt(i-1))
     x2=log(wlt(i))
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scops.F
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scops.F	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/scops.F	(revision 5086)
@@ -161,5 +161,5 @@
       
       !loop over vertical levels
-      DO 200 ilev = 1,nlev
+      DO ilev = 1,nlev
                                   
 !     Initialise threshold
@@ -331,5 +331,5 @@
           endif
 
-200   CONTINUE    !loop over nlev
+      END DO    !loop over nlev
 
 
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp/zeff.F90	(revision 5086)
@@ -113,5 +113,5 @@
       call mieint(sizep(i), m0(i), one, dqv, qext(i), dqsc, qbsca(i), &
         dg, xs1, xs2, dph, err)
-    end do
+    END DO
     
   else
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/cosp.F90	(revision 5086)
@@ -731,5 +731,5 @@
                                   modisRetrievedCloudTopPressure(i,:),                   &
                                   modisRetrievedTau(i,:),modisRetrievedSize(i,:))
-          end do
+          END DO
        endif
     endif
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/icarus.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/icarus.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/icarus.F90	(revision 5086)
@@ -155,5 +155,5 @@
                   (cchar_realtops(acc(ilev,ibox)+1),ilev=1,nlev),&
                   (cchar(acc(ilev,ibox)+1),ilev=1,nlev) 
-          end do
+          END DO
           close(9)
 
@@ -322,5 +322,5 @@
        do ibox=1,ncol
           fluxtop(1:npoints,ibox) = fluxtop(1:npoints,ibox) + emsfc_lw*bb(1:npoints)*trans_layers_above(1:npoints,ibox) 
-       end do
+       END DO
 
        ! All Sky brightness temperature
@@ -445,5 +445,5 @@
                 levmatch(1:npoints,ibox)=ilev
              endwhere
-          end do
+          END DO
        end if
        where(tau(1:npoints,ibox) <= tauchk)
Index: LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/math_lib.F90
===================================================================
--- LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/math_lib.F90	(revision 5082)
+++ LMDZ6/branches/Amaury_dev/libf/phylmd/cosp2/math_lib.F90	(revision 5086)
@@ -209,5 +209,5 @@
           exit
        end if
-    end do
+    END DO
     
     if (lerror) then
@@ -244,5 +244,5 @@
        end if
        ilo = ilo + 1
-    end do
+    END DO
     
     ilo = max ( 2, ilo )
@@ -254,5 +254,5 @@
        end if
        ihi = ihi - 1
-    end do
+    END DO
     
     ihi = min ( ihi, ntab - 1 )
@@ -305,5 +305,5 @@
        syl = x2
        
-    end do
+    END DO
 
     result = sum1 + ca * ( b**3 - syl**3 ) / 3._wp &
